Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.AnnotationSummaryCallback Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | GetCurrentLocaleID ()
| A callback function used to specify current locale ID. More...
def | GetLocalFontName ()
| A callback function used to specify the font name used locally. More...
def | LoadString (id)
| A callback function used to load a string in local language for a specified case. More...
def | Release ()
| A callback function used to release current callback object itself. More...

## Static Public Attributes
| e_AnnotationSummaryStringIDAuthor = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDAuthor
| Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".
| e_AnnotationSummaryStringIDDate = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDDate
| Annotations summary string ID: specify the prefix when date information is outputed in result document. Default prefix is "Date:".
| e_AnnotationSummaryStringIDDocumentTitle = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDDocumentTitle
| Annotations summary string ID: specify the document title in result document. Default title is "Summary of comments:".
| e_AnnotationSummaryStringIDNoAnnotations = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDNoAnnotations
| Annotations summary string ID: specify the string used as content in result document when a page does not have any annotation. Default content is "No Annotations.".
| e_AnnotationSummaryStringIDNumber = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDNumber
| Annotations summary string ID: specify the prefix when number information is outputed in result document. Default prefix is "Number:".
| e_AnnotationSummaryStringIDPage = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDPage
| Annotations summary string ID: specify the prefix when page information is outputed in result document. Default prefix is "Page:".
| e_AnnotationSummaryStringIDPageTitle = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDPageTitle
| Annotations summary string ID: specify the prefix when page title is outputed in result document. Default string is "Page:".
| e_AnnotationSummaryStringIDSubject = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDSubject
| Annotations summary string ID: specify the prefix when subject information is outputed in result document. Default prefix is "Subject:".
| e_AnnotationSummaryStringIDType = _fsdk.AnnotationSummaryCallback_e_AnnotationSummaryStringIDType
| Annotations summary string ID: specify the prefix when annotation type is outputed in result document. Default prefix is "Type:".

## Detailed Description

This class represents a callback object which is used during summarizing annotation to allow user to decide some format/data. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented AnnotationSummaryCallback object can be set to a AnnotationSummary object by function FoxitPDFSDKPython3.AnnotationSummary.SetCallback .

## Member Function Documentation

## ◆ GetCurrentLocaleID()

def FoxitPDFSDKPython3.AnnotationSummaryCallback.GetCurrentLocaleID | ( |  | ) |

A callback function used to specify current locale ID.

Locale ID is used to decide locale format for some information, such as date format.

Returns
  A locale ID. Please refer to values starting from FoxitPDFSDKPython3.e_LocaleIDUnspecified and this should be one of these values. If returned locale ID is not supported, Foxit PDF SDK will use value FoxitPDFSDKPython3.e_LocaleIDUnspecified by default.

## ◆ GetLocalFontName()

def FoxitPDFSDKPython3.AnnotationSummaryCallback.GetLocalFontName | ( |  | ) |

A callback function used to specify the font name used locally.

This function is very useful for user to specify the font used in result document.

Returns
  Font name string. If an empty string is returned, Foxit PDF SDK will use "Helvetica" as default font name. If returned font name is invalid, this name will not take any effect.

## ◆ LoadString()

def FoxitPDFSDKPython3.AnnotationSummaryCallback.LoadString | ( |  | id | ) |

A callback function used to load a string in local language for a specified case.

This function is very useful for user to use local language for some string content in result document. By using this function, user can re-write or translate default output strings to local language for specified case in result document. Default output strings for these specified cases can be found in comment for values starting from FoxitPDFSDKPython3.AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor .
Specially, Foxit PDF SDK will add some necessary information/data to the format part in the result document, in order to make content in the result document more useful.

Parameters

  [in] | id | An annotation summary string ID to specify a summary case. Please refer to values starting from FoxitPDFSDKPython3.AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor and this would be one of these values.

Returns
  A string used for the specified case.

## ◆ Release()

def FoxitPDFSDKPython3.AnnotationSummaryCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.